Skip to main content
POST
Starts processing of the files in new transaction
For a step-by-step walkthrough of the single-call scenario, see Processing documents with a single API call. New to the API? Start with the Getting started guide.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

skillId
string

Identifier of the skill to process the files with. You can find it in the list of all skills returned by GET /api/publicapi/v1/skills.

Body

multipart/form-data
Model
object

Additional transaction processing parameters. See TransactionLaunchMetadataDto model.

Files
file[]

Model for getting file passed in multipart/* content

Response

Transaction successfully created and started

transactionId
string<uuid>
required

Unique identifier of the created transaction. Use it in subsequent requests to add files, start processing, and download results.